package com.cyksj.model.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/*
 *项目名: netflix
 *文件名: RealGoodsInterestUser
 *创建者: JavaZou
 *创建时间:2022/11/25 13:57
 */
@Getter
@Setter
public class RealGoodsInterestUser extends BaseEntity{
	private Long userId;

	private Long orderId;

	private String remark;

	private Long goodsId;

	private Long skuId;

	@TableField(exist = false)
	private BigDecimal money;

	@TableField(exist = false)
	private String groupBy;

	/**
	 * 意向
	 */
	private Status interestStatus;

	/**
	 * 订单创建时间
	 */
	private Date orderCreatedTime;

	@Getter
	public enum Status{
		notContacted("未联系"),
		interest("有意向"),
		notInterest("无意向"),
		hasPayment("已购买"),
		;
		String desc;

		Status(String desc) {
			this.desc = desc;
		}
	}
}
